> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# Update individual fields of a training event

PATCH https://api.dsx-air.nvidia.com/api/v3/trainings/{id}/
Content-Type: application/json

Update specific fields of the training event. Only event_time, name, sim_start_time, and sim_end_time can be updated. The parent/template simulation, and checkpoint cannot be modified after creation.

**Required roles (all):** `air_instructor`, `air_org_admin`

Reference: https://docs.nvidia.com/dsx-air/api-reference/training/api-v-3-trainings-partial-update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — A UUID string identifying this training.

### Body (application/json)

This endpoint expects an object.

- `display_name` (string, optional) — The display name of the training event. This is a more human-readable display name for the training which does not need to match the name of the NGC external user group.
- `event_time` (datetime, optional) — The time at which the training event will occur. This value must be at least 5h in the future. `sim_end_time` must be at least 24h after this value. `sim_start_time` must be at least 4h before this value.
- `sim_start_time` (datetime, optional) — This is the time at which simulation workbenches will be created for all `attendees` and the `instructor` of the training; these simulations will be started at this time given there is sufficient capacity. If updated, this value must be at least 1h in the future and 4h before `event_time`
- `sim_end_time` (datetime, optional) — This is the time at which simulation workbenches will expire for all `attendees` and the `instructor` of the training; the simulations will be destroyed at this time. This value must be at least 24h after `event_time`

## Response

### 200

- `id` (string, required)
- `created` (datetime, required)
- `modified` (datetime, required)
- `creator` (string, required) — The email of the client that created the training.
- `org` (string, required) — The organization associated with this training
- `training_simulation` (string, required) — The template simulation used to create new simulations for the attendees of the training.
- `training_simulation_name` (string, required) — The name of the training simulation.
- `training_simulation_state` (string, required) — The state of the training simulation.
- `checkpoint_name` (string, required, nullable) — The name of the checkpoint used to create the training simulation.
- `parent_simulation_name` (string, required, nullable) — The name of the parent simulation that was cloned to create the training simulation. This value is captured at clone time and does not change if the original simulation is later renamed.
- `event_time` (datetime, required) — When the training event will occur.
- `name` (string, required) — The name of the training event. This will also be the name of the NGC external user group, and thus must be kebab-case.
- `display_name` (string, required) — The display name of the training event. This is a more human-readable display name for the training which does not need to match the name of the NGC external user group.
- `ngc_group_id` (string, required) — The NGC external user group ID associated with this training.
- `attendee_details` (list of object, required) — Onboarding and access details for each attendee.
  - `email` (string, required) — The attendee email address.
  - `has_onboarded_in_air` (boolean, required) — Whether the attendee already has a DSX Air user account.
  - `action_needed` (string, required, nullable) — Action the instructor needs to take before this attendee can use the training.
- `sim_start_time` (datetime, required) — When Air should start all attendee simulations for the training.
- `sim_end_time` (datetime, required) — When Air should stop and destroy all attendee simulations of the training.
- `attendees` (any, optional) — List of validated attendee email addresses
- `workbenches_created` (boolean, optional) — Whether the workbenches have been created for this training.

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 404 Not Found Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `detail` (string, optional, default: No object matches the given query.) — Description of an error.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "string",
  "created": "2024-01-15T09:30:00Z",
  "modified": "2024-01-15T09:30:00Z",
  "creator": "string",
  "org": "string",
  "training_simulation": "string",
  "training_simulation_name": "string",
  "training_simulation_state": "string",
  "checkpoint_name": "string",
  "parent_simulation_name": "string",
  "event_time": "2024-01-15T09:30:00Z",
  "name": "string",
  "display_name": "string",
  "ngc_group_id": "string",
  "attendee_details": [
    {
      "email": "string",
      "has_onboarded_in_air": true,
      "action_needed": "string"
    }
  ],
  "sim_start_time": "2024-01-15T09:30:00Z",
  "sim_end_time": "2024-01-15T09:30:00Z",
  "attendees": null,
  "workbenches_created": true
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/trainings/id/"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/trainings/id/';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/trainings/id/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/trainings/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.dsx-air.nvidia.com/api/v3/trainings/id/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.dsx-air.nvidia.com/api/v3/trainings/id/', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/trainings/id/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/trainings/id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```